Skip to content
Start here

Destinations

DestinationsEligible

Get delivery mechanism eligibility
client.alerting.destinations.eligible.get(EligibleGetParams { account_id } params, RequestOptionsoptions?): EligibleGetResponse { eligible, ready, type }
GET/accounts/{account_id}/alerting/v3/destinations/eligible
ModelsExpand Collapse
EligibleGetResponse = Record<string, Array<Item>>
eligible?: boolean

Determines whether or not the account is eligible for the delivery mechanism.

ready?: boolean

Beta flag. Users can create a policy with a mechanism that is not ready, but we cannot guarantee successful delivery of notifications.

type?: "email" | "pagerduty" | "webhook"

Determines type of delivery mechanism.

One of the following:
"email"
"pagerduty"
"webhook"

DestinationsPagerduty

List PagerDuty services
client.alerting.destinations.pagerduty.get(PagerdutyGetParams { account_id } params, RequestOptionsoptions?): SinglePage<Pagerduty { id, name } >
GET/accounts/{account_id}/alerting/v3/destinations/pagerduty
Create PagerDuty integration token
client.alerting.destinations.pagerduty.create(PagerdutyCreateParams { account_id } params, RequestOptionsoptions?): PagerdutyCreateResponse { id }
POST/accounts/{account_id}/alerting/v3/destinations/pagerduty/connect
Delete PagerDuty Services
client.alerting.destinations.pagerduty.delete(PagerdutyDeleteParams { account_id } params, RequestOptionsoptions?): PagerdutyDeleteResponse { errors, messages, success }
DELETE/accounts/{account_id}/alerting/v3/destinations/pagerduty
Connect PagerDuty
client.alerting.destinations.pagerduty.link(stringtokenId, PagerdutyLinkParams { account_id } params, RequestOptionsoptions?): PagerdutyLinkResponse { id }
GET/accounts/{account_id}/alerting/v3/destinations/pagerduty/connect/{token_id}
ModelsExpand Collapse
Pagerduty { id, name }
id?: string

UUID

maxLength32
name?: string

The name of the pagerduty service.

PagerdutyCreateResponse { id }
id?: string

token in form of UUID

maxLength32
PagerdutyDeleteResponse { errors, messages, success }
errors: Array<Error>
message: string
code?: number
minimum1000
messages: Array<Message>
message: string
code?: number
minimum1000
success: true

Whether the API call was successful

DestinationsWebhooks

List webhooks
client.alerting.destinations.webhooks.list(WebhookListParams { account_id } params, RequestOptionsoptions?): SinglePage<Webhooks { id, created_at, last_failure, 5 more } >
GET/accounts/{account_id}/alerting/v3/destinations/webhooks
Get a webhook
client.alerting.destinations.webhooks.get(stringwebhookId, WebhookGetParams { account_id } params, RequestOptionsoptions?): Webhooks { id, created_at, last_failure, 5 more }
GET/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}
Create a webhook
client.alerting.destinations.webhooks.create(WebhookCreateParams { account_id, name, url, secret } params, RequestOptionsoptions?): WebhookCreateResponse { id }
POST/accounts/{account_id}/alerting/v3/destinations/webhooks
Update a webhook
client.alerting.destinations.webhooks.update(stringwebhookId, WebhookUpdateParams { account_id, name, url, secret } params, RequestOptionsoptions?): WebhookUpdateResponse { id }
PUT/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}
Delete a webhook
client.alerting.destinations.webhooks.delete(stringwebhookId, WebhookDeleteParams { account_id } params, RequestOptionsoptions?): WebhookDeleteResponse { errors, messages, success }
DELETE/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}
ModelsExpand Collapse
Webhooks { id, created_at, last_failure, 5 more }
id?: string

The unique identifier of a webhook

maxLength32
created_at?: string

Timestamp of when the webhook destination was created.

formatdate-time
last_failure?: string

Timestamp of the last time an attempt to dispatch a notification to this webhook failed.

formatdate-time
last_success?: string

Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.

formatdate-time
name?: string

The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

secret?: string

Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

type?: "datadog" | "discord" | "feishu" | 5 more

Type of webhook endpoint.

One of the following:
"datadog"
"discord"
"feishu"
"gchat"
"generic"
"opsgenie"
"slack"
"splunk"
url?: string

The POST endpoint to call when dispatching a notification.

WebhookCreateResponse { id }
id?: string

UUID

maxLength32
WebhookUpdateResponse { id }
id?: string

UUID

maxLength32
WebhookDeleteResponse { errors, messages, success }
errors: Array<Error>
message: string
code?: number
minimum1000
messages: Array<Message>
message: string
code?: number
minimum1000
success: true

Whether the API call was successful